"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.buildCommand = void 0;
var _utils = require("../utils");
var _PackagesBuilder = require("./buildPackages/PackagesBuilder");
const buildCommand = (params, context) => {
  const command = (0, _utils.createPulumiCommand)({
    name: "build",
    createProjectApplicationWorkspace: true,
    command: async ({
      inputs,
      context,
      projectApplication
    }) => {
      const {
        env,
        variant
      } = inputs;
      const hookArgs = {
        context,
        env,
        variant,
        inputs,
        projectApplication
      };
      await (0, _utils.runHook)({
        hook: "hook-before-build",
        args: hookArgs,
        context
      });
      console.log();
      const builder = new _PackagesBuilder.PackagesBuilder({
        packages: projectApplication.packages,
        inputs,
        context
      });
      await builder.build();
      console.log();
      await (0, _utils.runHook)({
        hook: "hook-after-build",
        args: hookArgs,
        context
      });
    }
  });
  return command(params, context);
};
exports.buildCommand = buildCommand;

//# sourceMappingURL=build.js.map