"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PackagesBuilder = void 0;
var _BasePackagesBuilder = require("./BasePackagesBuilder");
var _ZeroPackagesBuilder = require("./ZeroPackagesBuilder");
var _SinglePackageBuilder = require("./SinglePackageBuilder");
var _MultiplePackagesBuilder = require("./MultiplePackagesBuilder");
class PackagesBuilder extends _BasePackagesBuilder.BasePackagesBuilder {
  async build() {
    const BuilderClass = this.getBuilderClass();
    const builder = new BuilderClass({
      packages: this.packages,
      inputs: this.inputs,
      context: this.context
    });
    await builder.build();
  }
  getBuilderClass() {
    const packagesCount = this.packages.length;
    if (packagesCount === 0) {
      return _ZeroPackagesBuilder.ZeroPackagesBuilder;
    }
    if (packagesCount === 1) {
      return _SinglePackageBuilder.SinglePackageBuilder;
    }
    return _MultiplePackagesBuilder.MultiplePackagesBuilder;
  }
}
exports.PackagesBuilder = PackagesBuilder;

//# sourceMappingURL=PackagesBuilder.js.map