"use strict";

var _serializeError = require("serialize-error");
var _cli = require("@webiny/cli");
var _utils = require("../../utils");
const workerData = JSON.parse(process.argv[2]);
const {
  package: pkg,
  env,
  variant,
  region,
  debug
} = workerData;
const options = {
  cwd: pkg.paths.root,
  env,
  variant,
  region,
  debug
};
const config = (0, _utils.requireConfigWithExecute)(pkg.paths.config, {
  options,
  context: _cli.cli
});
const hasBuildCommand = config.commands && typeof config.commands.build === "function";
if (!hasBuildCommand) {
  throw new Error("Build command not found.");
}
config.commands.build(options).catch(error => {
  // Send error message to the parent process
  process.send((0, _serializeError.serializeError)(error));
  process.exit(1); // Ensure the worker process exits with an error code
});

//# sourceMappingURL=worker.js.map