"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.executePreview = void 0;
var _env = require("../../utils/env");
const executePreview = async ({
  inputs,
  context,
  pulumi
}) => {
  const config = (0, _env.createEnvConfiguration)({
    configurations: [(0, _env.withRegion)(inputs), (0, _env.withEnv)(inputs), (0, _env.withEnvVariant)(inputs), (0, _env.withProjectName)(context), (0, _env.withPulumiConfigPassphrase)()]
  });
  const subprocess = pulumi.run({
    command: "preview",
    args: {
      diff: true,
      debug: !!inputs.debug
      // Preview command does not accept "--secrets-provider" argument.
      // secretsProvider: PULUMI_SECRETS_PROVIDER
    },
    execa: {
      env: config
    }
  });
  subprocess.stdout.pipe(process.stdout);
  subprocess.stderr.pipe(process.stderr);
  await subprocess;
  context.success(`Preview successful.`);
};
exports.executePreview = executePreview;

//# sourceMappingURL=executePreview.js.map