"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getIotEndpoint = void 0;
var _clientIot = require("@webiny/aws-sdk/client-iot");
var _utils = require("../../utils");
const getIotEndpoint = params => {
  const iotClient = new _clientIot.IoTClient();
  return iotClient.send(new _clientIot.DescribeEndpointCommand({
    endpointType: "iot:Data-ATS"
  })).then(({
    endpointAddress
  }) => {
    const coreStackOutput = (0, _utils.getStackOutput)({
      folder: "core",
      env: params.env,
      variant: params.variant
    });
    const watchCommandTopic = `webiny-watch-${coreStackOutput.deploymentId}`;
    const iotAuthorizerName = coreStackOutput.iotAuthorizerName;
    const queryParams = [`x-amz-customauthorizer-name=${iotAuthorizerName}`, `x-webiny-watch-command-topic=${watchCommandTopic}`].join("&");
    return `wss://${endpointAddress}/mqtt?${queryParams}`;
  });
};
exports.getIotEndpoint = getIotEndpoint;

//# sourceMappingURL=getIotEndpoint.js.map