"use strict";

var _worker_threads = require("worker_threads");
(async () => {
  const {
    handler: handlerParams
  } = _worker_threads.workerData;
  try {
    const {
      handler
    } = require(handlerParams.path);
    const result = await handler(...handlerParams.args);
    _worker_threads.parentPort.postMessage(JSON.stringify({
      success: true,
      result,
      error: null
    }));
  } catch (error) {
    const {
      message,
      code,
      data,
      stack
    } = error;
    _worker_threads.parentPort.postMessage(JSON.stringify({
      success: false,
      result: null,
      error: {
        message,
        code,
        data,
        stack
      }
    }));
  } finally {
    process.exit(0);
  }
})();

//# sourceMappingURL=localInvocationWorker.js.map