"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PackagesWatcher = void 0;
var _ZeroPackagesWatcher = require("./ZeroPackagesWatcher");
var _SinglePackageWatcher = require("./SinglePackageWatcher");
var _MultiplePackagesWatcher = require("./MultiplePackagesWatcher");
var _BasePackagesWatcher = require("./BasePackagesWatcher");
class PackagesWatcher extends _BasePackagesWatcher.BasePackagesWatcher {
  async watch() {
    const WatcherClass = this.getWatcherClass();
    const watcher = new WatcherClass({
      packages: this.packages,
      inputs: this.inputs,
      context: this.context
    });
    await watcher.watch();
  }
  getWatcherClass() {
    const packagesCount = this.packages.length;
    if (packagesCount === 0) {
      return _ZeroPackagesWatcher.ZeroPackagesWatcher;
    }
    if (packagesCount === 1) {
      return _SinglePackageWatcher.SinglePackageWatcher;
    }
    return _MultiplePackagesWatcher.MultiplePackagesWatcher;
  }
}
exports.PackagesWatcher = PackagesWatcher;

//# sourceMappingURL=PackagesWatcher.js.map