"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SinglePackageWatcher = void 0;
var _BasePackagesWatcher = require("./BasePackagesWatcher");
var _utils = require("../../../utils");
class SinglePackageWatcher extends _BasePackagesWatcher.BasePackagesWatcher {
  async watch() {
    const pkg = this.packages[0];
    const context = this.context;
    const inputs = this.inputs;
    const {
      env,
      variant,
      region,
      debug
    } = inputs;
    const options = {
      env,
      variant,
      debug,
      region,
      cwd: pkg.paths.root
    };
    const config = (0, _utils.requireConfigWithExecute)(pkg.paths.config, {
      options,
      context
    });
    const hasWatchCommand = config.commands && typeof config.commands.watch === "function";
    if (!hasWatchCommand) {
      throw new Error("Watch command not found.");
    }
    await config.commands.watch(options, context);
  }
}
exports.SinglePackageWatcher = SinglePackageWatcher;

//# sourceMappingURL=SinglePackageWatcher.js.map