"use strict";

var _serializeError = require("serialize-error");
var _cli = require("@webiny/cli");
var _utils = require("../../../utils");
const workerData = JSON.parse(process.argv[2]);
const {
  package: pkg,
  env,
  variant,
  region,
  debug
} = workerData;
const options = {
  cwd: pkg.paths.root,
  env,
  variant,
  region,
  debug
};
const config = (0, _utils.requireConfigWithExecute)(pkg.paths.config, {
  options,
  context: _cli.cli
});
const hasWatchCommand = config.commands && typeof config.commands.watch === "function";
if (hasWatchCommand) {
  config.commands.watch(options, _cli.cli).catch(error => {
    // Send error message to the parent process
    process.send((0, _serializeError.serializeError)(error));
    process.exit(1); // Ensure the worker process exits with an error code
  });
} else {
  console.log(`Skipping watch; ${_cli.cli.warning.hl("watch")} command is missing. Check package's ${_cli.cli.warning.hl("webiny.config.ts")} file.`);
}

//# sourceMappingURL=worker.js.map