import type { IDeployedSystem } from "./DeployedSystem";
import type { Context } from "../../types";
export interface IConnectionSystem {
    readonly context: Context;
    readonly primary: IDeployedSystem;
    readonly secondary: IDeployedSystem;
    build(): Promise<void>;
    deploy(): Promise<void>;
}
export interface IConnectionSystemParams {
    context: Context;
    primary: IDeployedSystem;
    secondary: IDeployedSystem;
}
export declare class ConnectionSystem implements IConnectionSystem {
    readonly context: Context;
    readonly primary: IDeployedSystem;
    readonly secondary: IDeployedSystem;
    constructor(params: IConnectionSystemParams);
    build(): Promise<void>;
    deploy(): Promise<void>;
}
export declare const createConnectionSystem: (params: IConnectionSystemParams) => IConnectionSystem;
