"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createConnectionSystem = exports.ConnectionSystem = void 0;
var _ora = _interopRequireDefault(require("ora"));
class ConnectionSystem {
  constructor(params) {
    this.context = params.context;
    this.primary = params.primary;
    this.secondary = params.secondary;
  }
  async build() {
    const spinner = (0, _ora.default)();
    const message = "Building connection system...";
    spinner.start(message);
    // Build the connection between primary and secondary systems.
    await new Promise(resolve => {
      setTimeout(resolve, 3000);
    });
    spinner.succeed(`${message} done.`);
  }
  async deploy() {
    const spinner = (0, _ora.default)();
    const message = "Deploying connection system...";
    spinner.start(message);
    // Deploy the connection between primary and secondary systems.
    await new Promise(resolve => {
      setTimeout(resolve, 3000);
    });
    spinner.succeed(`${message} done.`);
  }
}
exports.ConnectionSystem = ConnectionSystem;
const createConnectionSystem = params => {
  return new ConnectionSystem(params);
};
exports.createConnectionSystem = createConnectionSystem;

//# sourceMappingURL=ConnectionSystem.js.map