import type { IStackOutput } from "../../utils";
import type { IStack } from "../../utils/stacks/Stack";
export interface IDeployedSystem {
    readonly env: string;
    readonly variant: string | undefined;
    readonly stacks: IStack<IStackOutput>[];
    getStack<T extends IStackOutput = IStackOutput>(app: string): Required<IStack<T>>;
}
export interface IDeployedSystemParams {
    env: string;
    variant: string | undefined;
    stacks: Required<IStack<IStackOutput>>[];
}
export declare class DeployedSystem implements IDeployedSystem {
    readonly env: string;
    readonly variant: string | undefined;
    readonly stacks: IStack<IStackOutput>[];
    constructor(params: IDeployedSystemParams);
    getStack<T extends IStackOutput = IStackOutput>(app: string): Required<IStack<T>>;
}
export interface ICreateDeployedSystemFactoryParams {
    folders: string[];
}
export interface ICreateDeployedSystem {
    (params: Pick<IDeployedSystemParams, "stacks">): IDeployedSystem;
}
export interface ICreateDeployedSystemFactory {
    (params: ICreateDeployedSystemFactoryParams): ICreateDeployedSystem;
}
export declare const createDeployedSystemFactory: ICreateDeployedSystemFactory;
