"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.WebinyConfigFile = void 0;
var _fs = _interopRequireDefault(require("fs"));
var _path = _interopRequireDefault(require("path"));
class LocalFile {
  constructor(filePath) {
    this.filePath = filePath;
  }
  exists() {
    return _fs.default.existsSync(this.filePath);
  }
  getAbsolutePath() {
    return this.filePath;
  }
}
class WebinyConfigFile {
  constructor(root) {
    this.potentialConfigs = [new LocalFile(_path.default.join(root, "webiny.config.ts")), new LocalFile(_path.default.join(root, "webiny.config.js"))];
  }
  static forWorkspace(workspace) {
    return new WebinyConfigFile(_path.default.resolve(workspace));
  }
  getAbsolutePath() {
    const file = this.potentialConfigs.find(file => file.exists());
    if (!file) {
      return undefined;
    }
    return file.getAbsolutePath();
  }
}
exports.WebinyConfigFile = WebinyConfigFile;

//# sourceMappingURL=WebinyConfigFile.js.map