/// <reference types="node" />
declare class Log {
    readonly message: string;
    readonly createdOn: Date | null;
    constructor(message?: string, createdOn?: Date | null);
}
export interface IDeployment {
    status: string;
    statusUpdateInterval: NodeJS.Timeout | null;
    startedOn: Date | null;
    logs: Log[];
}
export interface ISimpleOutputLogParams {
    message: string;
    type: "build" | "logs" | "deploy";
}
export interface ISimpleOutputLogInitializeParams {
    build?: boolean;
    deploy?: boolean;
    showTimestamps?: boolean;
}
export interface ISimpleOutputStopDeployParams {
    error?: boolean;
}
export declare class SimpleOutput {
    private readonly logs;
    private readonly deployment;
    private usesSingleLogType;
    private showTimestamps;
    constructor();
    initialize(args: ISimpleOutputLogInitializeParams): void;
    log({ message, type }: ISimpleOutputLogParams): void;
    printLogs(): void;
    private startDeploying;
    private stopDeploying;
    private getDeploymentDuration;
    private getTimestamp;
    private getEmptyTimestampSpace;
}
declare const _default: SimpleOutput;
export default _default;
