"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NoDeploymentsPackagesWatcher = void 0;
var _BasePackagesWatcher = require("../BasePackagesWatcher");
var _NoDeploymentsZeroPackagesWatcher = require("./NoDeploymentsZeroPackagesWatcher");
var _NoDeploymentsSinglePackageWatcher = require("./NoDeploymentsSinglePackageWatcher");
var _NoDeploymentsMultiplePackagesWatcher = require("./NoDeploymentsMultiplePackagesWatcher");
class NoDeploymentsPackagesWatcher extends _BasePackagesWatcher.BasePackagesWatcher {
  async watch() {
    const WatcherClass = this.getWatcherClass();
    const watcher = new WatcherClass({
      packages: this.packages,
      inputs: this.inputs,
      context: this.context
    });
    await watcher.watch();
  }
  getWatcherClass() {
    const packagesCount = this.packages.length;
    if (packagesCount === 0) {
      return _NoDeploymentsZeroPackagesWatcher.NoDeploymentsZeroPackagesWatcher;
    }
    if (packagesCount === 1) {
      return _NoDeploymentsSinglePackageWatcher.NoDeploymentsSinglePackageWatcher;
    }
    return _NoDeploymentsMultiplePackagesWatcher.NoDeploymentsMultiplePackagesWatcher;
  }
}
exports.NoDeploymentsPackagesWatcher = NoDeploymentsPackagesWatcher;

//# sourceMappingURL=NoDeploymentsPackagesWatcher.js.map