"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NoDeploymentsSinglePackageWatcher = void 0;
var _BasePackagesWatcher = require("./../BasePackagesWatcher");
var _utils = require("../../../../utils");
class NoDeploymentsSinglePackageWatcher extends _BasePackagesWatcher.BasePackagesWatcher {
  async watch() {
    const pkg = this.packages[0];
    const context = this.context;
    const inputs = this.inputs;
    const {
      env,
      variant,
      region,
      debug
    } = inputs;
    const options = {
      env,
      variant,
      region,
      debug,
      cwd: pkg.paths.root,
      // Not much sense in turning off logs when a single package is being built.
      logs: true
    };
    const config = (0, _utils.requireConfigWithExecute)(pkg.paths.config, {
      options,
      context
    });
    const hasWatchCommand = config.commands && typeof config.commands.watch === "function";
    if (!hasWatchCommand) {
      throw new Error("Watch command not found.");
    }
    await config.commands.watch(options, context);
  }
}
exports.NoDeploymentsSinglePackageWatcher = NoDeploymentsSinglePackageWatcher;

//# sourceMappingURL=NoDeploymentsSinglePackageWatcher.js.map