"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PackagesWatcher = void 0;
var _BasePackagesWatcher = require("./BasePackagesWatcher");
var _NoDeploymentsPackagesWatcher = require("./NoDeploymentsPackagesWatcher/NoDeploymentsPackagesWatcher");
class PackagesWatcher extends _BasePackagesWatcher.BasePackagesWatcher {
  async watch() {
    const WatcherClass = this.getWatcherClass();
    const watcher = new WatcherClass({
      packages: this.packages,
      inputs: this.inputs,
      context: this.context
    });
    await watcher.watch();
  }
  getWatcherClass() {
    return _NoDeploymentsPackagesWatcher.NoDeploymentsPackagesWatcher;
  }
}
exports.PackagesWatcher = PackagesWatcher;

//# sourceMappingURL=PackagesWatcher.js.map