"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.crawlDirectory = void 0;
var _fs = _interopRequireDefault(require("fs"));
const crawlDirectory = (dir, callback) => {
  if (!_fs.default.existsSync(dir)) {
    return;
  }
  const files = _fs.default.readdirSync(dir);
  for (const file of files) {
    const filePath = `${dir}/${file}`;
    const stat = _fs.default.statSync(filePath);
    if (stat.isDirectory()) {
      crawlDirectory(filePath, callback);
    }
    if (stat.isFile()) {
      callback(filePath);
    }
  }
};
exports.crawlDirectory = crawlDirectory;

//# sourceMappingURL=crawlDirectory.js.map