"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createProjectApplicationWorkspace = void 0;
var _path = _interopRequireDefault(require("path"));
var _util = _interopRequireDefault(require("util"));
var _ncp = _interopRequireDefault(require("ncp"));
var _replaceInPath = require("replace-in-path");
var _utils = require("@webiny/cli/utils");
// @ts-expect-error

const ncp = _util.default.promisify(_ncp.default.ncp);
const createProjectApplicationWorkspace = async ({
  projectApplication,
  inputs
}) => {
  await (0, _utils.createProjectApplicationWorkspace)(projectApplication);

  // Copy Pulumi-related files.
  await ncp(_path.default.join(__dirname, "workspaceTemplate"), projectApplication.paths.workspace);

  // Wait a bit and make sure the files are ready to have its content replaced.
  await new Promise(resolve => setTimeout(resolve, 10));
  const variant = !inputs.variant || inputs.variant === "undefined" ? "" : inputs.variant;
  (0, _replaceInPath.replaceInPath)(_path.default.join(projectApplication.paths.workspace, "/**/*.{ts,js,yaml}"), [{
    find: "{PROJECT_ID}",
    replaceWith: projectApplication.id
  }, {
    find: "{PROJECT_DESCRIPTION}",
    replaceWith: projectApplication.description
  }, {
    find: "{DEPLOY_ENV}",
    replaceWith: inputs.env
  }, {
    find: "{DEPLOY_VARIANT}",
    replaceWith: variant
  }]);
};
exports.createProjectApplicationWorkspace = createProjectApplicationWorkspace;

//# sourceMappingURL=createProjectApplicationWorkspace.js.map