import type { ICreateProjectApplicationWorkspaceCallable } from "./createProjectApplicationWorkspace";
import type { Context, IPulumi, IUserCommandInput, ProjectApplication } from "../types";
export interface ICreatePulumiCommandParamsCommandParams<T extends IUserCommandInput = IUserCommandInput> {
    inputs: T;
    context: Context;
    getDuration: () => string;
    pulumi: IPulumi;
    projectApplication: ProjectApplication;
}
export interface ICreatePulumiCommandParamsCommand<T extends IUserCommandInput = IUserCommandInput> {
    (params: ICreatePulumiCommandParamsCommandParams<T>): Promise<unknown>;
}
export interface ICreatePulumiCommandParams<T extends IUserCommandInput = IUserCommandInput> {
    name: string;
    command: ICreatePulumiCommandParamsCommand<T>;
    createProjectApplicationWorkspace?: ICreateProjectApplicationWorkspaceCallable | boolean;
    telemetry?: boolean;
}
export declare const createPulumiCommand: <T extends IUserCommandInput = IUserCommandInput>({ name, command, createProjectApplicationWorkspace: createProjectApplicationWorkspaceParam, telemetry }: ICreatePulumiCommandParams<T>) => (params: T, context: Context) => Promise<any>;
