"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createEnvConfiguration = exports.createConfiguration = void 0;
const createConfiguration = cb => {
  return params => {
    return cb(params);
  };
};
exports.createConfiguration = createConfiguration;
const createEnvConfiguration = params => {
  const {
    configurations
  } = params;
  if (configurations.length === 0) {
    throw new Error("At least one configuration must be provided.");
  }
  return configurations.reduce((collection, config) => {
    const previous = structuredClone(collection);
    const result = config({
      previous
    });
    if (!result) {
      return previous;
    }
    return {
      ...previous,
      ...result
    };
  }, {});
};
exports.createEnvConfiguration = createEnvConfiguration;

//# sourceMappingURL=configuration.js.map