"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.withRegion = void 0;
var _configuration = require("./configuration");
var _regions = require("@webiny/cli/regions");
const withRegion = params => {
  return (0, _configuration.createConfiguration)(() => {
    const {
      region
    } = params;
    if (!region) {
      return;
    }
    const exists = _regions.regions.some(item => item.value === region);
    if (!exists) {
      throw new Error(`Webiny does not support region "${region}".`);
    }
    return {
      AWS_REGION: region
    };
  });
};
exports.withRegion = withRegion;

//# sourceMappingURL=withRegion.js.map