"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.splitStackName = exports.getStackName = void 0;
var _constants = require("./constants");
/**
 * We want to have stack name as env-variant.
 * If there is no variant sent, just env will be used - this is to maintain backward compatibility.
 */

const getStackName = ({
  env,
  variant
}) => {
  return [env, variant].filter(Boolean).join(_constants.VARIANT_SEPARATOR);
};
exports.getStackName = getStackName;
const splitStackName = stackName => {
  const value = stackName.split(_constants.VARIANT_SEPARATOR);
  return {
    env: value[0],
    variant: value[1]
  };
};
exports.splitStackName = splitStackName;

//# sourceMappingURL=getStackName.js.map