export interface IGetOutputJsonParams {
    folder: string;
    env: string;
    cwd?: string | undefined;
    variant: string | undefined;
    skipCache?: boolean;
}
export interface IGetStackOutputParams {
    folder: string;
    env: string;
    variant: string | undefined;
    cwd?: string;
    map?: Record<string, any>;
    skipCache?: boolean;
}
export interface IStackOutput {
    /**
     * There is a possibility for a user to add stuff to the stack output.
     */
    [key: string]: string | string[] | undefined | number | number[] | boolean;
}
export interface IDefaultStackOutput extends IStackOutput {
    deploymentId: string;
    region: string;
    dynamoDbTable: string;
    migrationLambdaArn: string;
    iotAuthorizerName: string;
    apiDomain: string;
    apiUrl: string;
    graphqlLambdaRole: string;
    apwSchedulerEventRule: string | undefined;
    apwSchedulerEventTargetId: string | undefined;
    apwSchedulerExecuteAction: string | undefined;
    apwSchedulerScheduleAction: string | undefined;
    cognitoUserPoolArn: string;
    cognitoAppClientId: string;
    cognitoUserPoolId: string;
    cognitoUserPoolPasswordPolicy: string;
    websocketApiUrl: string;
    fileManagerBucketId: string;
    primaryDynamodbTableArn: string;
    primaryDynamodbTableName: string;
    primaryDynamodbTableHashKey: string;
    primaryDynamodbTableRangeKey: string;
    logDynamodbTableArn: string;
    logDynamodbTableName: string;
    logDynamodbTableHashKey: string;
    logDynamodbTableRangeKey: string;
    eventBusName: string;
    eventBusArn: string;
    vpcPublicSubnetIds: string[] | undefined;
    vpcPrivateSubnetIds: string[] | undefined;
    vpcSecurityGroupIds: string[] | undefined;
    elasticsearchDomainArn: string | undefined;
    elasticsearchDomainEndpoint: string | undefined;
    elasticsearchDynamodbTableArn: string | undefined;
    elasticsearchDynamodbTableName: string | undefined;
    appStorage: string;
    websiteRouterOriginRequestFunction?: string;
    appDomain?: string;
    deliveryDomain?: string;
}
export declare const getStackOutput: <T extends IStackOutput = IDefaultStackOutput>(folderOrArgs: IGetStackOutputParams | string, env?: string, map?: Record<string, any>) => T;
