"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.loadEnvVariables = void 0;
var _path = _interopRequireDefault(require("path"));
// Tries to load env files from a couple of different places, for a stack and a given environment.

// 1. Load from {PROJECT_APPLICATION_FOLDER}/.env.{PROVIDED_ENV}
// 2. Load from {PROJECT_APPLICATION_FOLDER}/.env

const loadEnvVariables = async (inputs, context) => {
  const {
    folder,
    env,
    debug
  } = inputs;
  const projectRoot = context.project.root;
  if (env) {
    await context.loadEnv(_path.default.resolve(projectRoot, folder, `.env.${env}`), {
      debug
    });
    await context.loadEnv(_path.default.resolve(projectRoot, folder, `.env`), {
      debug
    });
  }
};
exports.loadEnvVariables = loadEnvVariables;

//# sourceMappingURL=loadEnvVariables.js.map