"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.mapStackOutput = void 0;
var _get = _interopRequireDefault(require("lodash/get"));
var _chalk = require("chalk");
const mapStackOutput = (output, map) => {
  const values = {};
  const regex = /\${(.*)}/;
  Object.keys(map).forEach(key => {
    const valuePattern = map[key];
    const match = regex.exec(valuePattern);
    if (match) {
      const [replace, valuePath] = match;
      const value = (0, _get.default)(output, valuePath);
      if (!value) {
        console.log((0, _chalk.yellow)(`Could not map "${valuePath}" to "${key}" - value missing.`));
        return;
      }
      /**
       * It is ok to expect error here.
       */
      if (typeof value === "object" && value !== null) {
        // @ts-expect-error
        values[key] = valuePattern.replace(replace, JSON.stringify(value));
      } else {
        // @ts-expect-error
        values[key] = valuePattern.replace(replace, value);
      }
    }
  });
  return values;
};
exports.mapStackOutput = mapStackOutput;

//# sourceMappingURL=mapStackOutput.js.map