"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.notify = void 0;
var _path = require("path");
var _nodeNotifier = _interopRequireDefault(require("node-notifier"));
const notify = ({
  message,
  timeout
}) => {
  return new Promise(resolve => {
    _nodeNotifier.default.notify({
      title: "Webiny CLI",
      message,
      icon: (0, _path.join)(__dirname, "logo.png"),
      sound: false,
      timeout: timeout === undefined ? 1 : timeout
    });
    setTimeout(resolve, 100);
  }).catch(() => {
    // Suppress any unexpected promise rejections to ensure smooth user experience.
    // Notification errors are non-critical and can be safely ignored.
  });
};
exports.notify = notify;

//# sourceMappingURL=notify.js.map