import { CliContext } from "@webiny/cli/types";
export interface IRequireConfigOptions {
    env: string;
    variant: string | undefined;
    region: string | undefined;
    debug?: boolean;
    cwd: string;
}
export interface IRequireConfigResult {
    commands: {
        build: (options: IRequireConfigOptions) => Promise<void>;
        watch: (options: IRequireConfigOptions, context: CliContext) => Promise<void>;
    };
}
export interface IRequireConfigParams {
    [key: string]: Record<string, any>;
}
export declare const requireConfig: <T extends IRequireConfigResult = IRequireConfigResult>(input: string) => T;
export declare const requireConfigWithExecute: <T extends IRequireConfigResult = IRequireConfigResult>(input: string, params: IRequireConfigParams) => T;
