import type { IStackOutput } from "..";
export interface IStack<T extends IStackOutput | undefined = undefined> {
    readonly app: string;
    readonly folder: string;
    readonly env: string;
    readonly variant: string | undefined;
    output?: T;
    withOutput<O extends IStackOutput>(output: O): Required<IStack<O>>;
}
export interface IStackParams<T extends IStackOutput | undefined = undefined> {
    app: string;
    folder: string;
    env: string;
    variant: string | undefined;
    output?: T;
}
export declare class Stack<T extends IStackOutput | undefined = undefined> implements IStack<T> {
    readonly app: string;
    readonly folder: string;
    readonly env: string;
    readonly variant: string | undefined;
    readonly output?: T;
    constructor(params: IStackParams<T>);
    withOutput<O extends IStackOutput>(output: O): Required<IStack<O>>;
}
export declare const createStack: <T extends IStackOutput | undefined = undefined>(params: IStackParams<T>) => IStack<T>;
