"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createStack = exports.Stack = void 0;
class Stack {
  constructor(params) {
    this.app = params.app;
    this.folder = params.folder;
    this.env = params.env;
    this.variant = params.variant;
    if (!params.output) {
      return;
    }
    this.output = structuredClone(params.output);
  }
  withOutput(output) {
    /**
     * We can safely cast as we know that the output is defined.
     */
    return new Stack({
      app: this.app,
      folder: this.folder,
      env: this.env,
      variant: this.variant,
      output: structuredClone(output)
    });
  }
}
exports.Stack = Stack;
const createStack = params => {
  return new Stack(params);
};
exports.createStack = createStack;

//# sourceMappingURL=Stack.js.map