"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getApplicationsStacksOutput = void 0;
var _ = require("./..");
var _getApplicationsStacks = require("./getApplicationsStacks");
const getApplicationsStacksOutput = async params => {
  const {
    context
  } = params;
  const initialStacks = (0, _getApplicationsStacks.getApplicationsStacks)(params);
  const promises = [];
  const stacks = [];
  for (const appStack of initialStacks) {
    for (const stack of appStack.stacks) {
      promises.push(new Promise((resolve, reject) => {
        try {
          const output = (0, _.getStackOutput)({
            folder: appStack.folder,
            env: appStack.env,
            variant: stack.variant,
            cwd: params.cwd
          });
          stacks.push(stack.withOutput(output));
          resolve();
        } catch (ex) {
          reject(ex);
        }
      }));
    }
  }
  try {
    await Promise.all(promises);
  } catch (ex) {
    context.error(ex);
    throw ex;
  }
  return stacks;
};
exports.getApplicationsStacksOutput = getApplicationsStacksOutput;

//# sourceMappingURL=getApplicationsStacksOutput.js.map