"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.validateVariantName = void 0;
const disallowedVariants = ["none", "empty", "blank"];
const validateVariantName = args => {
  const {
    variant
  } = args;
  if (!variant || disallowedVariants.includes(variant) === false) {
    return;
  }
  throw new Error(`Variant "${variant}" is not allowed. Please use a different variant name. Not allowed: ${disallowedVariants.map(v => {
    return `"${v}"`;
  }).join(", ")}.`);
};
exports.validateVariantName = validateVariantName;

//# sourceMappingURL=validateVariantName.js.map